Page MenuHomePhabricator

Deploy mobile section editing to the next set of wikis (listed in the description)
Closed, ResolvedPublic

Description

On date 28-March [1], deploy mobile section editing to the wikis listed below.

Wikis for deployment

Caveat

  1. Section Editing should not be deployed to the Wikis listed above until the vanishing-toolbars-while-scrolling (T218414) patch is live on the wikis listed above

Event Timeline

ppelberg created this task.Mar 21 2019, 8:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2019, 8:00 PM

Change 498084 had a related patch set uploaded (by Esanders; owner: Esanders):
[operations/mediawiki-config@master] VE section editing: Enable mobile AB test on remaining target wikis

https://gerrit.wikimedia.org/r/498084

  1. Section Editing should not be deployed to the Wikis listed above until the vanishing-toolbars-while-scrolling (T218414) patch is live on the wikis listed above

Assuming nothing catastrophic happens, this should be next Thursday, 28th March.

What is the next step to provisionally schedule this deploy for that date? CC @DLynch, @Jdforrester-WMF

ppelberg updated the task description. (Show Details)Mar 27 2019, 2:34 PM
DLynch added a comment.EditedMar 27 2019, 3:46 PM

Sorry, I missed seeing this question.

It's making a patch for the mediawiki-config repo, and scheduling it on Deployments -- at which point one of us will need to be there during the deploy window to verify it worked after the ops team +2 it and push it out.

I've not done a specific-wiki config patch before, but I think it's still that repo, and if so we can go to the section about visualeditor settings in CommonSettings.php and add a little if ( in_array( $wgDBname, [ 'hiwiki', 'arwiki', ... ] ) ) { section for it.

@Jdforrester-WMF would know better than I if there's a more appropriate way to handle that.

@DLynch I've already written the patch, see above ^^

Ugh, reading things before responding to them. Terrible.

@JTannerWMF: for a patch and config change such as T218939, do we typically do additional post-deployment QA on it considering the following?

  1. The patch is live on 3 wikis (see T218375)
  2. We did post-deployment QA as after the initial release (T218375)
  3. The patch – to my knowledge – has not surfaced any issues

I ask the above in response to reading the following in our "[Editing-team] Editing Team Priorities Week of March 24" email:

"Deploy Section Editing on other target wikis (https://phabricator.wikimedia.org/T218939) on March 28 and test in production"


cc @Ryasmeen @Esanders @DLynch

@ppelberg we would typical do a sanity check as part of the deploy process to make sure that the config has been applied correctly to the wikis we expect.

Change 498084 merged by jenkins-bot:
[operations/mediawiki-config@master] VE section editing: Enable mobile AB test on remaining target wikis

https://gerrit.wikimedia.org/r/498084

Mentioned in SAL (#wikimedia-operations) [2019-03-28T20:48:26Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: VisualEditor: Enable mobile section editing A/B test on 10 Wikipedias T218851 T218939 (duration: 00m 50s)

ppelberg added a comment.EditedMar 28 2019, 9:07 PM

@ppelberg we would typical do a sanity check as part of the deploy process to make sure that the config has been applied correctly to the wikis we expect.

Got it – thanks, @Esanders

Next steps

See: T219565: Ensure Section Editing is live on these wikis...

ppelberg closed this task as Resolved.Apr 3 2019, 11:08 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 3 2019, 11:08 PM